# Product
Date: 2017-03-21

gr.spinellis.product

## Class Product

- java.lang.Object
- - gr.spinellis.product.Product

    public class Product
    extends java.lang.Object

### Field Summary

Fields
`Category` `category`
`java.lang.String` `name`
`double` `price`
`int` `stock`

### Constructor Summary

Constructors
Constructor and Description
`Product()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

#### stock

    public int stock

#### price

    public double price

#### category

    public Category category

### Constructor Detail

#### Product

    public Product()